import { Modal, ModalFuncProps } from 'antd';
import React from 'react';
import { QuestionOutlined } from '@ant-design/icons';
import styles from './AModal.less';

export function confirm(options: ModalFuncProps) {

  return Modal.confirm({
    className: styles.confirmModal,
    icon: (
      <span className={styles.icon}>
        <QuestionOutlined size={24} />
      </span>
    ),
    cancelText: '取消',
    okText: '确定',
    ...options,
  })
}