import { IpcRenderer } from 'electron';

declare global {
  interface Window {
    ipcRenderer: IpcRenderer;
    addIpcRendererListener(
      eventName: string,
      callback: (event: any, data: any) => void,
    ): void;
    systemConfig?: {
      remoteUrl: string;
      gatewayPort: number;
    };
    // initialStorage?: {
    //   keyList: string[];
    //   [key: string]: any;
    // };
  }
}
